Package ru.bitel.bgbilling.plugins.edo.common.bean

# Enum Class ContragentType

java.lang.Object
java.lang.Enum<ContragentType>
ru.bitel.bgbilling.plugins.edo.common.bean.ContragentType

All Implemented Interfaces:
  `Serializable`, `Comparable<ContragentType>`, `Constable`

public enum ContragentType extends Enum<ContragentType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIZ`
  `IP`
  `ORG`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContragentType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContragentType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ORG

    public static final ContragentType ORG

  - ### IP

    public static final ContragentType IP

  - ### FIZ

    public static final ContragentType FIZ

- ## Method Details

  - ### values

    public static ContragentType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContragentType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null